@charset "utf-8";

@import "_breakpoints.scss";
@import "_mixin.scss";
@import "_loading.scss";

$main-color: #d7ecff;
$base-color: #f1f1f1;
$accent-color: #e8c800;
$black: #000000;
$white: #ffffff;
$green: #008000;
$brown: #a52a2a;
$light-blue: #a0d8ef;
$silver: #c0c0c0;

// common.
html {
    font-size: 100%;
}

body {
    font-family: "Benne", serif;
    font-family: "Crimson Text", serif;
    line-height: 1.7;
    background-color: $base-color;
    color: $black;
}

img {
    width: 100%;
}

a {
    transition: all 300ms;
}

a:hover {
    color: $accent-color;
    font-weight: bold;
    text-decoration: underline;
}

.wrapper {
    margin: 0 auto;
    padding: 0 2%;
    text-align: center;
}

.section-title {
    font-size: 3.0rem;

    @include mq(md) {
        font-size: 2.5rem;
    }

    @include mq(sm) {
        font-size: 2.0rem;
    }
}

.tab-item-title {
    padding-bottom: 20px;
    font-size: 1.5rem;

    @include mq(lg) {
        text-align: center;
    }
}

.tab-item-content {
    padding-left: 20px;
    font-size: 1.2rem;

    @include mq(lg) {
        padding-left: 0;
    }
}

.menu-container {
    width: 100%;
    height: 100%;
    min-height: 500px;
    border-radius: 0 0 10px 10px;
    padding: 30px 40px;
    text-align: left;
    transition: all 100ms;
    background-color: $main-color;

    @include mq(lg) {
        border-radius: 10px;
        padding: 20px;
    }
}

// animation.
#stop-main {
    animation: gradation-color-main 20s ease-in-out infinite;
}

#stop-sub {
    animation: gradation-color-sub 20s ease-in-out infinite;
}

@keyframes gradation-color-main {
    0% {
        stop-color: #DE6641;
    }

    14% {
        stop-color: #E8AC51;
    }

    28% {
        stop-color: #F2E55C;
    }

    42% {
        stop-color: #39A869;
    }

    56% {
        stop-color: #4784BF;
    }

    70% {
        stop-color: #5D5099;
    }

    84% {
        stop-color: #A55B9A;
    }

    100% {
        stop-color: #DE6641;
    }
}

@keyframes gradation-color-sub {
    0% {
        stop-color: #A5D4AD;
    }

    14% {
        stop-color: #A3BCE2;
    }

    28% {
        stop-color: #A59ACA;
    }

    42% {
        stop-color: #CFA7CD;
    }

    56% {
        stop-color: #F5B090;
    }

    70% {
        stop-color: #FCD7A1;
    }

    84% {
        stop-color: #FFF9B1;
    }

    100% {
        stop-color: #A5D4AD;
    }
}

// header.
#header {
    height: 100%;

    h1 {
        text-align: center;

        img {
            width: 200px;
            padding: 10px 0;

            @include mq(md) {
                padding: 10px 0;
            }
        }
    }

    #profile {
        display: flex;
        justify-content: center;
        background-image: url(../images/sea.jpg);
        background-size: cover;
        background-position: center top;
        background-repeat: no-repeat;
        background-blend-mode: overlay;
        background-color: #efefef;

        @include mq(md) {
            flex-direction: column;
        }

        .turtle {
            padding-left: 10%;

            @include mq(md) {
                display: none;
            }

            path {
                fill: url(#gradation);
            }
        }

        .introduction {
            width: 60%;
            padding: 40px 20px;
            text-align: left;

            @include mq(lg) {
                width: 100%;
            }

            .title {
                font-size: 2.5rem;

                @include mq(lg) {
                    font-size: 2.0rem;
                }

                @include mq(md) {
                    font-size: 1.8rem;
                }

                @include mq(sm) {
                    font-size: 1.6rem;
                }
            }

            .name {
                float: left;
                margin-right: 10px;
                font-size: 5rem;

                @include mq(lg) {
                    font-size: 4rem;
                }

                @include mq(md) {
                    font-size: 3rem;
                }

                @include mq(sm) {
                    font-size: 2.5rem;
                }
            }

            img {
                width: 100px;
                height: 100px;
                border-radius: 100px;
                background-color: $base-color;
            }

            .detail {
                clear: both;
                margin-top: 30px;
                font-size: 1.5rem;

                @include mq(md) {
                    font-size: 1.2rem;
                }

                @include mq(sm) {
                    font-size: 1.0rem;
                }

                span {
                    &:nth-of-type(1) {
                        color: $light-blue;
                        font-weight: bold;
                    }

                    &:nth-of-type(2) {
                        color: $brown;
                        font-weight: bold;
                    }

                    &:nth-of-type(3) {
                        color: $green;
                        font-weight: bold;
                    }
                }
            }
        }
    }
}

// main.
#main {
    margin-top: 100px;

    #about {
        .tabs {
            margin-top: 40px;

            #provision {
                display: flex;
                justify-content: space-between;
                text-align: center;

                @include mq(lg) {
                    flex-direction: column;
                }

                .provision-item {
                    width: 30%;

                    @include mq(lg) {
                        width: 100%;
                        &:not(:first-of-type) {
                            padding-top: 20px;
                        }
                    }

                    .provision-icon {
                        width: 20%;
                    }

                    .provision-detail {
                        font-size: 1.2rem;
                        text-align: left;
                        margin-top: 20px;

                        @include mq(md) {
                            font-size: 1.0rem;
                        }
                    }
                }
            }

            #works {
                .works-container {
                    display: grid;
                    gap: 60px;
                    grid-template-columns: repeat(auto-fit, minmax(240px, 1fr));
                    padding: 20px 0;

                    .work-item {
                        display: flex;
                        flex-direction: column;
                        box-shadow: 0px 0px 8px 0px rgba(0, 0, 0, 0.8);
                        padding-bottom: 10px;
                        background-color: $base-color;
                        text-align: center;
                        transition: all 300ms;

                        &:hover {
                            transform: scale(1.05);
                        }

                        .work-image {
                            object-fit: cover;
                            height: 90%;
                        }

                        .view-more {
                            height: 10%;
                        }
                    }
                }
            }

            #skills {
                display: flex;

                @include mq(lg) {
                    flex-direction: column;
                }

                .skill-container {
                    width: 50%;
                    padding-right: 2%;

                    @include mq(lg) {
                        width: 100%;
                        padding-right: 0;
                    }

                    .degree {
                        padding: 5px 0 5px 20px;
                        font-size: 0.8rem;

                        @include mq(sm) {
                            font-size: 0.7rem;
                        }
                    }
                }

                .certification-container {
                    width: 50%;
                    font-size: 1.2rem;

                    @include mq(lg) {
                        width: 100%;
                        margin-top: 20px;
                    }

                    @include mq(md) {
                        font-size: 1.0rem;
                    }

                    @include mq(sm) {
                        font-size: 0.8rem;
                    }

                    .certification-list {
                        list-style-position: inside;
                        margin-left: 20px;

                        @include mq(lg) {
                            margin-left: 0;
                        }

                        .certification-item {
                            padding: 10px 0 10px 10px;
                            border-top: 1px solid $silver;

                            &:last-of-type {
                                border-bottom: 1px solid $silver;
                            }
                        }
                    }
                }
            }

            #contact {
                display: flex;

                @include mq(lg) {
                    flex-direction: column;
                }

                .mail-container {
                    width: 50%;

                    @include mq(lg) {
                        width: 100%;
                    }

                    input[type="text"],
                    input[type="mail"] {
                        width: 90%;
                        padding: 5px 10px;
                        margin-bottom: 10px;
                        background-color: $white;

                        @include mq(lg) {
                            width: 100%;
                        }
                    }

                    textarea {
                        width: 90%;
                        padding: 5px 10px;
                        margin-bottom: 20px;
                        background-color: $white;

                        @include mq(lg) {
                            width: 100%;
                        }
                    }

                    input[type="submit"] {
                        padding: 10px 80px;
                        transition: all 300ms;
                        color: $black;
                        background-color: $white;
                        cursor: pointer;

                        @include mq(lg) {
                            width: 100%;
                            text-align: center;
                            margin-bottom: 60px;
                        }

                        &:hover {
                            background-color: $accent-color;
                        }
                    }
                }

                .sns-container {
                    width: 50%;

                    @include mq(lg) {
                        width: 100%;
                        text-align: center;
                    }
                }
            }
        }

        .tab-menu {
            display: flex;
            justify-content: space-between;

            @include mq(lg) {
                flex-direction: column;
            }

            .tab {
                position: relative;
                width: 100%;
                height: 50px;
                padding: 0 4%;
                border-radius: 10px 10px 0 0;
                background-color: $silver;
                transition: all 300ms;
                cursor: pointer;
                font-size: 2.0rem;
                font-weight: bold;

                @include mq(lg) {
                    flex-direction: column;
                    border-radius: 10px;
                    margin-bottom: 5px;
                }

                &:nth-of-type(1):before {
                    @include tab-icon("about-provision.svg");
                }

                &:nth-of-type(2):before {
                    @include tab-icon("about-works.svg");
                }

                &:nth-of-type(3):before {
                    @include tab-icon("about-skills.svg");
                }

                &:nth-of-type(4):before {
                    @include tab-icon("about-contact.svg");
                }

                &:not(:last-of-type) {
                    margin-right: 15px;
                }

                &:hover {
                    opacity: 0.7;
                }
            }

            .active {
                text-decoration: underline;
                background-color: $main-color;
                color: $accent-color;
                opacity: 1.0;

                &:hover {
                    opacity: 1.0;
                }
            }
        }
    }
}

// footer.
#footer {
    padding: 10px 0;
}
